Gentoo Archives: gentoo-commits

From: "Michał Górny" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/cryptography/
Date: Mon, 31 Jul 2017 16:47:54
Message-Id: 1501519640.45df3b28aec53a16fa8d0e5cd000bd7bf73257b7.mgorny@gentoo
commit:     45df3b28aec53a16fa8d0e5cd000bd7bf73257b7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 31 16:13:17 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 16:47:20 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45df3b28

dev-python/cryptography: Bump to 2.0.2

 dev-python/cryptography/Manifest                  |  1 +
 dev-python/cryptography/cryptography-2.0.2.ebuild | 47 +++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/cryptography/Manifest b/dev-python/cryptography/Manifest
index 70ede1e574e..088d0ff31e1 100644
--- a/dev-python/cryptography/Manifest
+++ b/dev-python/cryptography/Manifest
@@ -2,3 +2,4 @@ DIST cryptography-1.7.1.tar.gz 420673 SHA256 953fef7d40a49a795f4d955c5ce4338abce
 DIST cryptography-1.7.2.tar.gz 420867 SHA256 878cb68b3da3d493ffd68f36db11c29deee623671d3287c3f8d685117ffda9a9 SHA512 8ddd119385064e1f8288ff318ec16f500b5c125a3811ccb306aeb2664fac495fcdd3cb5a7cbacd10156505c9526b9cdbd66860b35bbcd2f9a6bb285dd6cba8c5 WHIRLPOOL 531265115a6573c54e2cf85a03f1ed0ebe033fd7818168a3bcda938458f9a32464d7de0c226f46a300635ee52e4995285889bb693bc56f77f816bc81d52bfc61
 DIST cryptography-1.8.1.tar.gz 423560 SHA256 323524312bb467565ebca7e50c8ae5e9674e544951d28a2904a50012a8828190 SHA512 273c8ca4ad6c9d1151a8a731d148d02e619e14e37df25dc26030b0a90f895b88fbf4d3e320aec5ea7af4a8fcc58f720c61f48968f912c69156d4e0e794743345 WHIRLPOOL ff760c9dc7dfbba355afde726a9154bcf45102e135b95b431aab5ac34c8003edccafa646b51ca02296aa55f244b0ff752d8d1b775cb76a1c9f15d347d505e8ce
 DIST cryptography-1.9.tar.gz 409664 SHA256 5518337022718029e367d982642f3e3523541e098ad671672a90b82474c84882 SHA512 815e9c09366935f8603a3e6e74c28ce79175596d00dbcd19d3792505237bd1cf953a4f401c2b97e4beaa7f2bbdcf9d7f95c4753d001a07fa816830af97cdd24e WHIRLPOOL b79a10de82b2cf98b27535f0b018f651038ed235f5e63eed48da52a87efaf672057e147b9c1b23701da0505d52cc85558ad3b6e692670a9f9e63061b381500d8
+DIST cryptography-2.0.2.tar.gz 427303 SHA256 3780b2663ee7ebb37cb83263326e3cd7f8b2ea439c448539d4b87de12c8d06ab SHA512 a71219ff52006a7c8bf1553d0f132c747566c630281ef89aac40c65b193b1f0074fc9cda1de7057c76b452113dfb6188c83baef3ed9c05ff18adbc8b7bba646b WHIRLPOOL 2c3b3da3d2d578c0ba29230c0955fd48688fd5039f08eacefc4017c5cd357d1096cdc79a271ff4e7319c1bb344edee12f8c184c33f12569226612a4dccfb6d11

diff --git a/dev-python/cryptography/cryptography-2.0.2.ebuild b/dev-python/cryptography/cryptography-2.0.2.ebuild
new file mode 100644
index 00000000000..23ae7825462
--- /dev/null
+++ b/dev-python/cryptography/cryptography-2.0.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.python.org/pypi/cryptography/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~x86"
+IUSE="libressl test"
+
+RDEPEND="
+	!libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist(-)] )
+	libressl? ( dev-libs/libressl )
+	$(python_gen_cond_dep '>=dev-python/cffi-1.7:=[${PYTHON_USEDEP}]' 'python*')
+	$(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7 pypy{,3})
+	>=dev-python/idna-2.1[${PYTHON_USEDEP}]
+	>=dev-python/asn1crypto-0.21.0[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	>=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+	virtual/python-ipaddress[${PYTHON_USEDEP}]
+	"
+DEPEND="${RDEPEND}
+	>=dev-python/setuptools-1.0[${PYTHON_USEDEP}]
+	test? (
+		~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+		dev-python/hypothesis[${PYTHON_USEDEP}]
+		dev-python/iso8601[${PYTHON_USEDEP}]
+		dev-python/pretend[${PYTHON_USEDEP}]
+		dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+		>=dev-python/pytest-2.9.0[${PYTHON_USEDEP}]
+		dev-python/pytz[${PYTHON_USEDEP}]
+	)"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+	py.test -v -v -x || die "Tests fail with ${EPYTHON}"
+}